Bug 1416119 - [RFE] foreman-debug takes > 1 hour to complete at scale
Summary: [RFE] foreman-debug takes > 1 hour to complete at scale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Debug
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Shimon Shtein
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1428363 (view as bug list)
Depends On:
Blocks: 1353215
TreeView+ depends on / blocked
 
Reported: 2017-01-24 16:01 UTC by Pradeep Kumar Surisetty
Modified: 2020-12-14 08:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:37:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18231 0 Normal Resolved Foreman-debug task export is too slow 2020-10-30 16:51:12 UTC
Foreman Issue Tracker 18348 0 Normal Closed Foreman debug is very slow for big tarballs 2020-10-30 16:51:12 UTC
Red Hat Bugzilla 1373095 0 medium CLOSED Task export shall add extracted log files in foreman-debug 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Internal Links: 1373095

Description Pradeep Kumar Surisetty 2017-01-24 16:01:27 UTC
Description of problem:

Forman-debug 

Version-Release number of selected component (if applicable):

With scale >6000 hosts takes > 60 mins to complete foreman-debug

 

Need light weight foreman-debug 



How reproducible:


Steps to Reproduce:
1. foreman-debug takes longer time n
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Pradeep Kumar Surisetty 2017-01-25 16:24:39 UTC
Have 150k foreman-tasks which might be taking long time to export.

Comment 5 Pavel Moravec 2017-03-02 12:20:29 UTC
*** Bug 1428363 has been marked as a duplicate of this bug. ***

Comment 6 Lukas Zapletal 2017-03-03 12:07:13 UTC
Please backport also this small change: Foreman Issue #18348

Comment 7 pm-sat@redhat.com 2017-03-06 13:10:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18348 has been resolved.

Comment 10 Lukas Zapletal 2017-06-28 10:52:15 UTC
As a workaround, I suggest you to review old tasks cleanup configuration, it was broken in 6.2

foreman-rake foreman_tasks:cleanup

See description in 

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.9.*/lib/foreman_tasks/tasks/cleanup.rake

By default it does not delete ANY tasks which are in error/failed/stuck state, therefore the queue can easily grow fast. In that case provide more aggressive deletion options.

Alternative workaround, delete this block 

https://github.com/Katello/katello-packaging/pull/329/files#diff-27141c04050ed31299a2296657e4769cL85

from the

/usr/share/foreman/script/foreman-debug.d/katello-debug.sh

file and foreman-debug will be fast again.

This will be fixed in Satellite 6.3 where we only dump SQL data tables which is fast.

Comment 14 errata-xmlrpc 2018-02-21 12:37:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.